Subject: Re: [hrpc] New Version Notification for draft-iab-for-the-users-01.txt

From: Mark Nottingham <[email-masked]>
Date: Mon, 20 Jan 2020 13:15:42 +1100

Thanks, Stephane. Responses below.

> On 12 Dec 2019, at 7:58 am, Stephane Bortzmeyer <[email-masked]> wrote:
> 
> On Sat, Dec 07, 2019 at 10:29:15AM +1100,
> Mark Nottingham <[email-masked]> wrote 
> a message of 196 lines which said:
> 
>> The IAB wanted to give this draft wider exposure to folks than just
>> those on architecture-discuss; comment / feedback welcome (here, or
>> on the draft issues list at
>> <https://github.com/intarchboard/for-the-users/issues
> 
> Executive summary; good document, and I would like it to be published.
> 
> One issue, as already noticed by Rich Salz and Vittorio Bertola is the
> overblown claims that Web browsers authors are the best people in the
> world and that they are always on the side of the users. It is not
> true, for several reasons (such as the lack of competition, itself
> coming from the difficulty of managing these monster bloatwares) and
> it really looks like an attempt to pick "good companies" against bad
> ones.

I understand and agree with the pushback here, but it's not really the main point; the browser ecosystem *is* more user-focused than if it weren't standards-based and diverse in implementation (even if there are substantial issues in that ecosystem).

I've tried to address this with:

~~~
For example, one of the most successful Internet applications is the Web. One of its key implementation roles is that of the Web browser -- called the User Agent in {{?RFC7230}} and other specifications. Because there are multiple interoperable implementations, users can switch with relatively low costs, and as a result there is a natural tendency to more carefully consider the user's needs as an agent. This leads to Web browsers' interests being better aligned with those of their users, creating an ecosystem that is more user-focused (even if there are serious challenges in it regarding the balance of power between implementations and the barrier to entry for new implementations).
~~~

> I have another issue about 4.6 "Deprioritising Internal Needs". I
> applaud the recognition of the fact that, if you have priorities, it
> means other things are deprioritised, but I fear that, written as it
> is, it seems to make fun of architectural work. I have no specific
> text to suggest yet, but trying to have "architectural purity" is a
> good thing, because otherwise, it will have consequences for all the
> Internet and all its users.

This has already been discussed and changed to `"architectural purity" for its own sake.`

Thanks,

--
Mark Nottingham   https://www.mnot.net/